diff --git a/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java b/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
index dfa79c650ee07459440d8e099a84592125f269f1..fd951d9f8f17c4dac818c1952c6628da722036c2 100644
--- a/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
+++ b/base/common/functional/src/com/netscape/cms/servlet/test/ConfigurationTest.java
@@ -58,9 +58,9 @@ import org.mozilla.jss.util.Password;
 
 import com.netscape.cms.client.cli.ClientConfig;
 import com.netscape.cms.servlet.csadmin.SystemConfigClient;
-import com.netscape.cms.servlet.csadmin.model.CertData;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationData;
-import com.netscape.cms.servlet.csadmin.model.ConfigurationResponseData;
+import com.netscape.cms.servlet.csadmin.model.SystemCertData;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationRequest;
+import com.netscape.cms.servlet.csadmin.model.ConfigurationResponse;
 import com.netscape.cmsutil.util.Utils;
 
 /**
@@ -195,7 +195,7 @@ public class ConfigurationTest {
             System.exit(1);
         }
 
-        ConfigurationData data = null;
+        ConfigurationRequest data = null;
         switch (testnum) {
         case 1:
             data = constructCAData(host, port, pin, db_dir, token_pwd, token);
@@ -226,14 +226,14 @@ public class ConfigurationTest {
             System.exit(1);
         }
 
-        ConfigurationResponseData response = client.configure(data);
+        ConfigurationResponse response = client.configure(data);
 
         System.out.println("status: " + response.getStatus());
         System.out.println("adminCert: " + response.getAdminCert().getCert());
-        Collection<CertData> certs = response.getSystemCerts();
-        Iterator<CertData> iterator = certs.iterator();
+        Collection<SystemCertData> certs = response.getSystemCerts();
+        Iterator<SystemCertData> iterator = certs.iterator();
         while (iterator.hasNext()) {
-            CertData cdata = iterator.next();
+            SystemCertData cdata = iterator.next();
             System.out.println("tag: " + cdata.getTag());
             System.out.println("cert: " + cdata.getCert());
             System.out.println("request: " + cdata.getRequest());
@@ -241,16 +241,16 @@ public class ConfigurationTest {
 
     }
 
-    private static ConfigurationData constructCAData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructCAData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
-        data.setSecurityDomainType(ConfigurationData.NEW_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.NEW_DOMAIN);
         data.setSecurityDomainName("Testca2 security domain");
         data.setIsClone("false");
         data.setHierarchy("root");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test ca subsystem");
 
         data.setDsHost(host);
@@ -279,8 +279,8 @@ public class ConfigurationTest {
         data.setAdminCertRequestType("crmf");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("signing");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -292,7 +292,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert2 = new CertData();
+        SystemCertData cert2 = new SystemCertData();
         cert2.setTag("ocsp_signing");
         cert2.setKeyAlgorithm("SHA256withRSA");
         cert2.setKeySize("2048");
@@ -303,7 +303,7 @@ public class ConfigurationTest {
         cert2.setToken("Internal Key Storage Token");
         systemCerts.add(cert2);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -313,7 +313,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -323,7 +323,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -339,20 +339,20 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructSubCAData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructSubCAData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.EXISTING_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.EXISTING_DOMAIN);
         data.setSecurityDomainUri("https://" + host + ":9225");
         data.setSecurityDomainUser("admin");
         data.setSecurityDomainPassword("redhat123");
 
         data.setIsClone("false");
         data.setHierarchy("join");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test subca subsystem");
 
         data.setDsHost(host);
@@ -383,8 +383,8 @@ public class ConfigurationTest {
         data.setIssuingCA("https://" + host + ":9224");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("signing");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -396,7 +396,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert2 = new CertData();
+        SystemCertData cert2 = new SystemCertData();
         cert2.setTag("ocsp_signing");
         cert2.setKeyAlgorithm("SHA256withRSA");
         cert2.setKeySize("2048");
@@ -407,7 +407,7 @@ public class ConfigurationTest {
         cert2.setToken("Internal Key Storage Token");
         systemCerts.add(cert2);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -417,7 +417,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -427,7 +427,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -443,18 +443,18 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructExternalCADataPart1(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructExternalCADataPart1(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.NEW_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.NEW_DOMAIN);
         data.setSecurityDomainName("External CA security domain");
 
         data.setIsClone("false");
         data.setHierarchy("join");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test external ca subsystem");
 
         data.setDsHost(host);
@@ -485,8 +485,8 @@ public class ConfigurationTest {
         data.setIssuingCA("External CA");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("signing");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -498,7 +498,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert2 = new CertData();
+        SystemCertData cert2 = new SystemCertData();
         cert2.setTag("ocsp_signing");
         cert2.setKeyAlgorithm("SHA256withRSA");
         cert2.setKeySize("2048");
@@ -509,7 +509,7 @@ public class ConfigurationTest {
         cert2.setToken("Internal Key Storage Token");
         systemCerts.add(cert2);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -519,7 +519,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -529,7 +529,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -545,18 +545,18 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructExternalCADataPart2(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructExternalCADataPart2(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token, String extCertFile, String extChainFile)
             throws NoSuchAlgorithmException, TokenException, IOException, InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.NEW_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.NEW_DOMAIN);
         data.setSecurityDomainName("External CA security domain");
 
         data.setIsClone("false");
         data.setHierarchy("join");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test external ca subsystem");
 
         data.setDsHost(host);
@@ -588,8 +588,8 @@ public class ConfigurationTest {
         data.setStepTwo("true");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("signing");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -617,7 +617,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert2 = new CertData();
+        SystemCertData cert2 = new SystemCertData();
         cert2.setTag("ocsp_signing");
         cert2.setKeyAlgorithm("SHA256withRSA");
         cert2.setKeySize("2048");
@@ -628,7 +628,7 @@ public class ConfigurationTest {
         cert2.setToken("Internal Key Storage Token");
         systemCerts.add(cert2);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -638,7 +638,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -648,7 +648,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -664,12 +664,12 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructCloneCAData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructCloneCAData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
-        data.setSecurityDomainType(ConfigurationData.EXISTING_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.EXISTING_DOMAIN);
         data.setSecurityDomainUri("https://" + host + ":9225");
         data.setSecurityDomainUser("admin");
         data.setSecurityDomainPassword("redhat123");
@@ -680,7 +680,7 @@ public class ConfigurationTest {
         data.setP12Password("redhat123");
 
         data.setHierarchy("root");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test clone ca subsystem");
 
         data.setDsHost(host);
@@ -695,8 +695,8 @@ public class ConfigurationTest {
         data.setBackupKeys("false");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert3 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -711,19 +711,19 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructKRAData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructKRAData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.EXISTING_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.EXISTING_DOMAIN);
         data.setSecurityDomainUri("https://" + host + ":9225");
         data.setSecurityDomainUser("admin");
         data.setSecurityDomainPassword("redhat123");
 
         data.setIsClone("false");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test kra subsystem");
 
         data.setDsHost(host);
@@ -754,8 +754,8 @@ public class ConfigurationTest {
         data.setIssuingCA("https://" + host + ":9224");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("transport");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -767,7 +767,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert2 = new CertData();
+        SystemCertData cert2 = new SystemCertData();
         cert2.setTag("storage");
         cert2.setKeyAlgorithm("SHA256withRSA");
         cert2.setKeySize("2048");
@@ -778,7 +778,7 @@ public class ConfigurationTest {
         cert2.setToken("Internal Key Storage Token");
         systemCerts.add(cert2);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -788,7 +788,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -798,7 +798,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -814,19 +814,19 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructOCSPData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructOCSPData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.EXISTING_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.EXISTING_DOMAIN);
         data.setSecurityDomainUri("https://" + host + ":9225");
         data.setSecurityDomainUser("admin");
         data.setSecurityDomainPassword("redhat123");
 
         data.setIsClone("false");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test ocsp subsystem");
 
         data.setDsHost(host);
@@ -857,8 +857,8 @@ public class ConfigurationTest {
         data.setIssuingCA("https://" + host + ":9224");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
-        CertData cert1 = new CertData();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
+        SystemCertData cert1 = new SystemCertData();
         cert1.setTag("signing");
         cert1.setKeyAlgorithm("SHA256withRSA");
         cert1.setKeySize("2048");
@@ -870,7 +870,7 @@ public class ConfigurationTest {
 
         systemCerts.add(cert1);
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -880,7 +880,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -890,7 +890,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
@@ -906,19 +906,19 @@ public class ConfigurationTest {
         return data;
     }
 
-    private static ConfigurationData constructTKSData(String host, String port, String pin, String db_dir,
+    private static ConfigurationRequest constructTKSData(String host, String port, String pin, String db_dir,
             String token_pwd, CryptoToken token) throws NoSuchAlgorithmException, TokenException, IOException,
             InvalidBERException {
-        ConfigurationData data = new ConfigurationData();
+        ConfigurationRequest data = new ConfigurationRequest();
         data.setPin(pin);
 
-        data.setSecurityDomainType(ConfigurationData.EXISTING_DOMAIN);
+        data.setSecurityDomainType(ConfigurationRequest.EXISTING_DOMAIN);
         data.setSecurityDomainUri("https://" + host + ":9225");
         data.setSecurityDomainUser("admin");
         data.setSecurityDomainPassword("redhat123");
 
         data.setIsClone("false");
-        data.setToken(ConfigurationData.TOKEN_DEFAULT);
+        data.setToken(ConfigurationRequest.TOKEN_DEFAULT);
         data.setSubsystemName("test tks subsystem");
 
         data.setDsHost(host);
@@ -949,9 +949,9 @@ public class ConfigurationTest {
         data.setIssuingCA("https://" + host + ":9224");
 
         // create system certs
-        Collection<CertData> systemCerts = new ArrayList<CertData>();
+        Collection<SystemCertData> systemCerts = new ArrayList<SystemCertData>();
 
-        CertData cert3 = new CertData();
+        SystemCertData cert3 = new SystemCertData();
         cert3.setTag("sslserver");
         cert3.setKeyAlgorithm("SHA256withRSA");
         cert3.setKeySize("2048");
@@ -961,7 +961,7 @@ public class ConfigurationTest {
         cert3.setToken("Internal Key Storage Token");
         systemCerts.add(cert3);
 
-        CertData cert4 = new CertData();
+        SystemCertData cert4 = new SystemCertData();
         cert4.setTag("subsystem");
         cert4.setKeyAlgorithm("SHA256withRSA");
         cert4.setKeySize("2048");
@@ -971,7 +971,7 @@ public class ConfigurationTest {
         cert4.setToken("Internal Key Storage Token");
         systemCerts.add(cert4);
 
-        CertData cert5 = new CertData();
+        SystemCertData cert5 = new SystemCertData();
         cert5.setTag("audit_signing");
         cert5.setKeyAlgorithm("SHA256withRSA");
         cert5.setKeySize("2048");
diff --git a/base/common/src/com/netscape/cms/client/cert/CertCLI.java b/base/common/src/com/netscape/cms/client/cert/CertCLI.java
index 2f7ab668e4d3412774f4a05d185a8c0bd4d034ad..ced2560ec9177e55358c61499de0647f25292fc8 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertCLI.java
@@ -26,7 +26,7 @@ import org.jboss.resteasy.plugins.providers.atom.Link;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
 import com.netscape.cms.servlet.cert.model.CertDataInfo;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
@@ -114,7 +114,7 @@ public class CertCLI extends CLI {
     }
 
     public static void printCertData(
-            CertificateData certData,
+            CertData certData,
             boolean showPrettyPrint,
             boolean showEncoded) {
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertClient.java b/base/common/src/com/netscape/cms/client/cert/CertClient.java
index b8fdde703ea0e861af586f2db45ba2054b0dd715..fb2f61c751926770f79e69299c442f213c485da6 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertClient.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertClient.java
@@ -25,15 +25,15 @@ import com.netscape.cms.client.cli.ClientConfig;
 import com.netscape.cms.servlet.cert.CertResource;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
 import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
 import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.csadmin.PKIClient;
 import com.netscape.cms.servlet.request.CertRequestResource;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 /**
  * @author Endi S. Dewata
@@ -50,11 +50,11 @@ public class CertClient extends PKIClient {
         certRequestResource = createProxy(CertRequestResource.class);
     }
 
-    public CertificateData getCert(CertId id) {
+    public CertData getCert(CertId id) {
         return certClient.getCert(id);
     }
 
-    public CertDataInfos findCerts(CertSearchData data, Integer start, Integer size) {
+    public CertDataInfos findCerts(CertSearchRequest data, Integer start, Integer size) {
         return certClient.searchCerts(data, start, size);
     }
 
@@ -70,15 +70,15 @@ public class CertClient extends PKIClient {
         return certClient.unrevokeCert(id, request);
     }
 
-    public CertRequestInfos enrollRequest(EnrollmentRequestData data){
+    public CertRequestInfos enrollRequest(CertEnrollmentRequest data){
         return certRequestResource.enrollCert(data);
     }
 
-    public AgentEnrollmentRequestData reviewRequest(RequestId id){
+    public CertReviewResponse reviewRequest(RequestId id){
         return certRequestResource.reviewRequest(id);
     }
 
-    public void approveRequest(RequestId id, AgentEnrollmentRequestData data) {
+    public void approveRequest(RequestId id, CertReviewResponse data) {
         certRequestResource.approveRequest(id, data);
     }
 }
diff --git a/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java b/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
index ea88c46cd20dd6423ebf4f5e4a7c0005065abe49..e67276ac34e0d571d9c9035dda1f4fa894084054 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertFindCLI.java
@@ -30,10 +30,10 @@ import org.apache.commons.cli.ParseException;
 
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.cert.model.CertDataInfo;
 import com.netscape.cms.servlet.cert.model.CertDataInfos;
-import com.netscape.cms.servlet.cert.model.CertSearchData;
+import com.netscape.cms.servlet.cert.model.CertSearchRequest;
 
 /**
  * @author Endi S. Dewata
@@ -56,7 +56,7 @@ public class CertFindCLI extends CLI {
         addOptions();
 
         CommandLine cmd = null;
-        CertSearchData searchData = null;
+        CertSearchRequest searchData = null;
         try {
             cmd = parser.parse(options, args);
         } catch (ParseException e) {
@@ -84,7 +84,7 @@ public class CertFindCLI extends CLI {
             FileReader reader = null;
             try {
                 reader = new FileReader(fileName);
-                searchData = CertSearchData.valueOf(reader);
+                searchData = CertSearchRequest.valueOf(reader);
             } catch (FileNotFoundException e) {
                 System.err.println("Error: " + e.getMessage());
                 System.exit(-1);
@@ -100,7 +100,7 @@ public class CertFindCLI extends CLI {
                     }
             }
         } else {
-            searchData = new CertSearchData();
+            searchData = new CertSearchRequest();
             searchData.setSerialNumberRangeInUse(true);
         }
         String s = cmd.getOptionValue("start");
@@ -113,7 +113,7 @@ public class CertFindCLI extends CLI {
         CertDataInfos certs = null;
         try {
             certs = parent.client.findCerts(searchData, start, size);
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             System.err.println("Error: Cannot list certificates. " + e.getMessage());
             System.exit(-1);
         }
@@ -267,7 +267,7 @@ public class CertFindCLI extends CLI {
         options.addOption(option);
     }
 
-    public void addSearchAttribute(CommandLine cmd, CertSearchData csd) {
+    public void addSearchAttribute(CommandLine cmd, CertSearchRequest csd) {
         if (cmd.hasOption("minSerialNumber")) {
             csd.setSerialNumberRangeInUse(true);
             csd.setSerialFrom(cmd.getOptionValue("minSerialNumber"));
